body {
	font-family: Arial, Verdana, sans-serif;
	font-size: 12pt;
	font-weight: normal;
	margin: 0;
	padding: 0;
	color: #333;
	line-height: 1.25;
	background-image: url(https://media.daysoftheyear.com/20171223113315/astronomy-day1.jpg);
    background-size: cover;
}

.block {
	padding: 20px 15px;
	box-sizing: border-box;
	background-color: #fff;
}

header, footer {
	background-color: #fff;
	border: 2px solid #ccc;
	box-sizing: border-box;
}

.header-block {
	display: flex;
	flex-direction: row;
	align-items: center;
}

.logo {
	order: 1;
	border: 2px solid #ccc;
	box-sizing: border-box;
}

.title {
	order: 2;
	margin: 0 15px;
	text-align: center;
	width: 100%;
}

.content-block {
	display: flex;
	flex-direction: column;
	overflow: hidden;
	text-align: center;
	border: 2px solid #ccc;
	box-sizing: border-box;
}

.nav-block {
	flex: 1;
	order: 1;
}

.link-block {
	flex: 1;
	order: 2;
}

.table-block {
	flex: 1;
	order: 4;
}

.form-block {
	flex: 1;
	order: 3;
}

form * {
	padding: 4px 5px;
	margin: 5px 0;
}

/* ==== FLEX ==== */

@media screen and (min-width: 800px) {
	
	.title {
		text-align: left;
	}
	
	nav {
		display: flex;
		flex-direction: row !important;
		justify-content: center;
	}
	
	.block-width {
		max-width: 960px;
		margin: 0 auto;
	}
	
	.table-block {
		order: 3;
	}

	.form-block {
		order: 4;
	}
	
	table td, th {
		padding: 8px 12px;
	}
}

/* =========== */

a {
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

nav {
	display: flex;
	flex-direction: column;
}

nav a {
	color: inherit;
	display: inline-block;
	padding: 5px 10px;
	border-radius: 3px;
}

nav a:hover {
	background-color: #ccc;
	text-decoration: none;
}

.logo {
	width: 80px;
	box-sizing: border-block;
}

ol {
	list-style-position: inside;
	margin: 0;
	padding: 0;
}

li {
	margin: 7px 0;
}

table {
	border-collapse: collapse;
	margin: 0 auto;
}

table td, th {
	border: 1px solid #ccc;
	padding: 4px 6px;
}

table tr:nth-child(2n) {
	background-color: #ccc;
}

table tr {
	background-color: #eee;
}